Bug 1466015 - [RFE] Add warning that we will remove backend CLI configuration options in a future release
[RFE] Add warning that we will remove backend CLI configuration options in a ...
Status: POST
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: virt-who (Show other bugs)
7.5
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: William Poteat
Eko
: FutureFeature
Depends On:
Blocks: 1469793 1469796
  Show dependency treegraph
 
Reported: 2017-06-28 13:34 EDT by Chris Snyder
Modified: 2017-08-07 08:38 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1469793 1469796 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Snyder 2017-06-28 13:34:36 EDT
Description of problem:
Virt-who presently allows for specifying both the source (the management framework or other API) from which to gather information as well as the destination (where to report information from this source) on the CLI.

The options used to configure virt-who to do this on the CLI increase the complexity of virt-who configuration parsing.

I believe to ease the use of virt-who, only those options which affect the overall operation of virt-who should be allowed (see the following):

* "-c": Add a configuration to be read.
* "-p": Gather information from sources, print the information that would be sent but do not send it.
* "-d": enable debug output
* "-o": Run once, then exit (oneshot mode)
* "-i": Set the interval on which information is gathered from sources and delivered from destinations

All other options should be removed from the CLI.

In order to ease the transition, the first patch for this RFE should output messages indicating that the options to be removed are deprecated.

The next release of virt-who after the deprecation warnings are out should remove the options entirely.
Comment 2 Eko 2017-06-29 03:37:57 EDT
Hi Chris, I absolutely agree with you,
Further more, could we also remove the backend from /etc/sysconfig/virt-who and only keep the global options, that means the backend only can be configured by /etc/virt-who.d/xxx.conf, 

when running virt-who by CLI or by systemctl service, if no config files in /etc/virt-who.d, virt-who will run as local libvirt mode, otherwise, it will run all the backend according to /etc/virt-who.d/.
Comment 3 Chris Snyder 2017-07-11 16:51:00 EDT
To be clear for the dev that implements this: This RFE is not to actually remove the CLI options but to provide warning messages that the CLI options will be removed and to provide a temporary (debug) method of converting existing configuration involving CLI options to the format expected in files in /etc/virt-who.d/*.conf.

Note You need to log in before you can comment on or make changes to this bug.